sysmonpsu: xsysmonpsu_intr.c File Reference

| sysmonpsu Xilinx SDK Drivers API Documentation

- Overview
- Data Structures
- APIs
- File List
- Examples

Functions
xsysmonpsu_intr.c File Reference

## Functions
void | XSysMonPsu_IntrEnable (XSysMonPsu *InstancePtr, u64 Mask)
| This function enables the specified interrupts in the device. More...
void | XSysMonPsu_IntrDisable (XSysMonPsu *InstancePtr, u64 Mask)
| This function disables the specified interrupts in the device. More...
u64 | XSysMonPsu_IntrGetEnabled (XSysMonPsu *InstancePtr)
| This function returns the enabled interrupts read from the Interrupt Enable Register (IER). More...
u64 | XSysMonPsu_IntrGetStatus (XSysMonPsu *InstancePtr)
| This function returns the interrupt status read from Interrupt Status Register(ISR). More...
void | XSysMonPsu_IntrClear (XSysMonPsu *InstancePtr, u64 Mask)
| This function clears the specified interrupts in the Interrupt Status Register (ISR). More...

## Function Documentation

void XSysMonPsu_IntrClear | ( | XSysMonPsu * | InstancePtr,
|  | u64 | Mask
| ) |  |

This function clears the specified interrupts in the Interrupt Status Register (ISR).

Parameters

  InstancePtr | is a pointer to the XSysMonPsu instance.
  Mask | is the 64 bit-mask of the interrupts to be cleared. Bit positions of 1 will be cleared. Bit positions of 0 will not change the previous interrupt status. This mask is formed by OR'ing the XSYSMONPSU_ISR_0_* and XSYSMONPSU_ISR_1_* bits which are defined in xsysmonpsu_hw.h.

Returns
  None.

Note
  None.

References XSysMonPsu_Config::BaseAddress, XSysMonPsu::Config, XSysMonPsu::IsReady, XSYSMONPSU_ISR_0_OFFSET, XSYSMONPSU_ISR_1_OFFSET, XSysmonPsu_ReadReg, and XSysmonPsu_WriteReg.

Referenced by SysMonPsuAMSExample(), SysMonPsuIntrExample(), SysMonPsuPolledPrintfExample(), SysMonPsuSingleChannelIntrExample(), and XSysMonPsu_CfgInitialize().

void XSysMonPsu_IntrDisable | ( | XSysMonPsu * | InstancePtr,
|  | u64 | Mask
| ) |  |

This function disables the specified interrupts in the device.

Parameters

  InstancePtr | is a pointer to the XSysMonPsu instance.
  Mask | is the 64 bit-mask of the interrupts to be disabled. Bit positions of 1 will be disabled. Bit positions of 0 will keep the previous setting. This mask is formed by OR'ing XSYSMONPSU_IDR_0_* and XSYSMONPSU_IDR_1_* bits defined in xsysmonpsu_hw.h.

Returns
  None.

Note
  None.

References XSysMonPsu_Config::BaseAddress, XSysMonPsu::Config, XSysMonPsu::IsReady, XSYSMONPSU_IDR_0_OFFSET, XSYSMONPSU_IDR_1_OFFSET, XSysmonPsu_ReadReg, and XSysmonPsu_WriteReg.

Referenced by SysMonPsuSingleChannelIntrExample().

void XSysMonPsu_IntrEnable | ( | XSysMonPsu * | InstancePtr,
|  | u64 | Mask
| ) |  |

This function enables the specified interrupts in the device.

Parameters

  InstancePtr | is a pointer to the XSysMonPsu instance.
  Mask | is the 64 bit-mask of the interrupts to be enabled. Bit positions of 1 will be enabled. Bit positions of 0 will keep the previous setting. This mask is formed by OR'ing XSYSMONPSU_IER_0_* and XSYSMONPSU_IER_1_* bits defined in xsysmonpsu_hw.h.

Returns
  None.

Note
  None.

References XSysMonPsu_Config::BaseAddress, XSysMonPsu::Config, XSysMonPsu::IsReady, XSYSMONPSU_IER_0_OFFSET, XSYSMONPSU_IER_1_OFFSET, XSysmonPsu_ReadReg, and XSysmonPsu_WriteReg.

Referenced by SysMonPsuIntrExample(), and SysMonPsuSingleChannelIntrExample().

u64 XSysMonPsu_IntrGetEnabled | ( | XSysMonPsu * | InstancePtr | ) |

This function returns the enabled interrupts read from the Interrupt Enable Register (IER).

Use the XSYSMONPSU_IER_0_* and XSYSMONPSU_IER_1_* constants defined in xsysmonpsu_hw.h to interpret the returned value.

Parameters

  InstancePtr | is a pointer to the XSysMonPsu instance.

Returns
  A 64-bit value representing the contents of the Interrupt Mask Registers (IMR1 IMR0).

Note
  None.

References XSysMonPsu_Config::BaseAddress, XSysMonPsu::Config, XSysMonPsu::IsReady, XSYSMONPSU_IMR_0_OFFSET, XSYSMONPSU_IMR_1_OFFSET, and XSysmonPsu_ReadReg.

u64 XSysMonPsu_IntrGetStatus | ( | XSysMonPsu * | InstancePtr | ) |

This function returns the interrupt status read from Interrupt Status Register(ISR).

Use the XSYSMONPSU_ISR_0_* and XSYSMONPSU_ISR_1_ constants defined in xsysmonpsu_hw.h to interpret the returned value.

Parameters

  InstancePtr | is a pointer to the XSysMonPsu instance.

Returns
  A 64-bit value representing the contents of the Interrupt Status Registers (ISR1 ISR0).

Note
  None.

References XSysMonPsu_Config::BaseAddress, XSysMonPsu::Config, XSysMonPsu::IsReady, XSYSMONPSU_ISR_0_OFFSET, XSYSMONPSU_ISR_1_OFFSET, and XSysmonPsu_ReadReg.

Referenced by SysMonPsuAMSExample(), SysMonPsuIntrExample(), SysMonPsuPolledPrintfExample(), SysMonPsuSingleChannelIntrExample(), and XSysMonPsu_CfgInitialize().